Issue view is not displayed correctly in Google Chrome 4
2009-11-18 08:02 - ChunChang (Nagaharu) Lo

Status: Closed Start date: 2009-11-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version:

Description

Please see the attached images.

There is a huge empty area in the Google Chrome browser. Don't know whom should be accused of.

History

#1 - 2009-11-18 11:52 - Kamil .

This one happens only with Gravatars

#2 - 2009-11-19 12:09 - Mischa The Evil

I'm not able to reproduce this error with Redmine 0.8.7-devel@r3076 and Google Chrome 3.0.195.33 with or without gravatars enabled.
Which versions are you using?

#3 - 2009-11-19 12:35 - ChunChang (Nagaharu) Lo

| forgot that | am using the bleeding edge version from Dev Channel. Sorry for not mentioning this.
In order to clarify this issue, | have tried the most recent versions in the stable, beta and dev channels. And the results are as follows:

e stable (3.0.195.33) - issue doesn't exist.
® beta (4.0.223.16) - issue exists.
e dev (4.0.249.0) - issue exists.

Hope this will help.

#4 - 2009-11-19 17:20 - Nanda P

| have the same issue with Google Chrome 4.0.223.16, Only when "Use Gravatar user icons" is On.

#5 - 2009-11-19 20:34 - Jean-Philippe Lang

We'll see with the final version of Chrome 4.

#6 - 2009-11-20 12:42 - Caius Durling

I'm seeing this issue in the Webkit nightlies too. So at a guess it's something in newer versions of webkit, hence only in (Safari) Webkit.app nightly's
and dev channel Chrome.

Turning Gravatars off fixes the issue for me, running Webkit.app "Version 4.0.4 (6531.21.10, r51075)" and Redmine "Redmine 0.8.0.devel" according
to the information page, which is actually 0.8.4, commit fa4fb5f4cabb947ceec59d14da0f0191602b21d1 according to git.

#7 - 2009-11-20 13:09 - Henrik Ammer

Notice that the bug does not show up if you use for instance the Squeejee or Basecamp theme therefor it's a CSS problem.

Somewhere between the p.author and the table.attributes something is different but haven't found a clue (yet) what it might be that differs between
the standard/alternate/classic theme and the two mentioned above.

Tested on Chrome 4.0.223.16.

#8 - 2009-11-22 14:34 - Mischa The Evil

- Subject changed from Issue view is not displayed correctly in Google Chrome to Issue view is not displayed correctly in Google Chrome 4

#9 - 2009-12-02 15:50 - Soen Trueman
http://nightly.webkit.org/
https://www.redmine.org/projects/redmine/wiki/ThemeSqueejee
https://www.redmine.org/projects/redmine/wiki/ThemeBaseCamp

| just wanted to add a quick note for those looking for a temporary solution; If you comment out the following in the application.css, the space
disappears:

img.gravatar {
/*padding: 2px;
border: solid 1lpx #d5d5d5;*/
background: #fff;
}

div.issue img.gravatar {
float: right;
margin: 0 0 0 lem;
/*padding: 5px;*/

}

I've tested this in Chrome (Dev Channel) 4.0.249.11 on Windows.

HTH.

#10 - 2009-12-06 15:18 - Kai Krakow

I've got the same problem and commenting out the parts of the css from comment #9 does not fix it for me in chromium 4.0.260.0, neither in aurora
(also webkit-based). However replacing float:right with position:absolute and setting right:240px fixes this huge spacing. But of course it also moves
the small gravatar icon out of its normal place, so this solution is undesirable.

| consider this a rendering bug in webkit as it absolutely makes no sence to render this huge space when looking at the css. It should maybe be
reported to the webkit developers to be tracked here. The title should be changed to "Issue view is not displayed correctly in Webkit v532.5" because
it affects other webkit-based browsers, too. This is what my chromium versions say about component versions:

Chromium 4.0.260.0 (Entwickler-Build 33405)

WebKit 532.5

v8 2.0.2.1

User Agent Mozilla/5.0 (X11; U; Linux 1686; en-US) AppleWebKit/532.5 (KHTML, like Gecko) Chrome/4.0.260.0 Saf
ari/532.5

#11 - 2009-12-06 15:25 - Kai Krakow

BTW: Taking away the legacy width="100%" attribute from the table below the image completely solves the huge space. Still it is a rendering bug of
webkit which should be reported. Also this makes the table smaller as intended because the image takes available space from it then.

#12 - 2009-12-07 20:26 - Alex Bevilacqua
Soen Trueman wrote:

| just wanted to add a quick note for those looking for a temporary solution; If you comment out the following in the application.css, the space
disappears:

[--]
I've tested this in Chrome (Dev Channel) 4.0.249.11 on Windows.
HTH.

Having the same issue under chromium [4.0.266.0 (Ubuntu build 33943)] and just want to confirm that the css hack here does address the spacing
issue ... though it's obviously just meant as a stop-gap solution :P

#13 - 2009-12-09 04:42 - Rémy Hubscher
Same problem here with Google Chrome 4.0.249.30

#14 - 2009-12-18 03:08 - Josh Galvez
Reported to Webkit here: https:/bugs.webkit.org/show_bug.cgi?id=32690

#15 - 2009-12-18 07:23 - ChunChang (Nagaharu) Lo

it seems that this issue gets fixed in 4.0.266.0 version of google chrome.

#16 - 2009-12-18 19:52 - Chuck Battle
ChunChang Lo wrote:

it seems that this issue gets fixed in 4.0.266.0 version of google chrome.
https://www.redmine.org/issues/9
https://bugs.webkit.org/show_bug.cgi?id=32690

Not for me.

#17 - 2010-01-14 23:39 - Chuck Battle

Chrome version 4.0.288.1 dev Does correct this display issue for me in XP.

#18 - 2010-03-04 07:17 - ChunChang (Nagaharu) Lo

- Status changed from New to Resolved

Josh Galvez wrote:

Reported to Webkit here: https://bugs.webkit.org/show_bug.cgi?id=32690

This should be fixed in the current (stable, beta, development) versions of Google chrome.

#19 - 2010-03-09 17:43 - Josh Galvez

It's working for me now.

#20 - 2010-03-11 12:41 - Robin McKenzie
Not working for me in Google Chrome 4.1.249.1021 beta (40167)

#21 - 2010-06-02 16:31 - Robert Lankford
Updated by Soen Trueman 6 months ago

I just wanted to add a quick note for those looking for a temporary solution; If you comment out the following
in the application.css, the space disappears:

img.gravatar {
/*padding: 2px;
border: solid lpx #d5d5d5;*/
background: #fff;
}

div.issue img.gravatar {
float: right;
margin: 0 0 0 lem;
/*padding: 5px;*/
}
I've tested this in Chrome (Dev Channel) 4.0.249.11 on Windows.

HTH.
You were absolutely correct. Thanks so much for posting this!!

#22 - 2010-07-07 13:25 - Felix Schéfer

This seems to be working on recent chrome versions, can anyone confirm that this is gone on current stable chrome? Thanks.

#23 - 2010-07-09 21:04 - Felix Schafer
- Status changed from Resolved to Closed

- Resolution set to No feedback
